commit 16dc59588804e099b2bd59452232f78a10fe965a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Fri May 26 02:20:14 2023

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 42ccb6c2a5e..dd3669d66ed 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,17 @@
+2023-05-25  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/104327
+	* config/avr/avr.cc (avr_can_inline_p): New static function.
+	(TARGET_CAN_INLINE_P): Define to that function.
+
+2023-05-25  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/82931
+	* config/avr/avr.md (*movbitqi.0): Rename to *movbit<mode>.0-6.
+	Handle any bit position and use mode QISI.
+	* config/avr/avr.cc (avr_rtx_costs_1) [IOR]: Return a cost
+	of 2 insns for bit-transfer of respective style.
+
 2023-05-23  Georg-Johann Lay  <avr@gjlay.de>
 
 	* config/avr/avr.cc (avr_insn_cost): New static function.
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 37d8ec9db79..1ecb4a83fea 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230525
+20230526
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 00cb9083c22..15be02f2667 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,8 @@
+2023-05-25  Georg-Johann Lay  <avr@gjlay.de>
+
+	PR target/82931
+	* gcc.target/avr/pr82931.c: New test.
+
 2023-05-22   Michael Meissner  <meissner@linux.ibm.com>
 
 	PR target/70243

